:root {
  --dark: #001d40;
}
img {
  width: 100%;
  max-width: 100%;
  height: auto;
}

.mega-menu {
  > ul {
    > li {
      &.active > a::after{
        transform: rotate(180deg);
      }
      &.menu-item-has-children > a {
        display: flex;
        align-items: center;
        gap: 0.5rem;
        transition: all 0.3s ease;
        &::after {
          content: url('data:image/svg+xml;utf8,<svg width="13" height="8" viewBox="0 0 13 8" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1.75195 1.5L6.75195 6.5L11.752 1.5" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
        }
      }
    }
  }
  .mega-menu-container {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100vw;
    background-color: #fff;
    height: 30rem;
    display: none;
    box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
  }
  .mega-menu-wrapper {
    display: grid;
    align-items: center;
    grid-template-columns: repeat(2, 1fr);
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    a {
      color: #000 !important;
      transition: color 0.3s ease;
    }
    ul.sub-menu {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 1rem;
      a {
        display: flex;
        align-items: center;
        gap: 0.5rem;
        transition: all 0.3s ease;
        &:hover {
          transform: translateX(0.25rem);
          &::after {
            transform: translateX(0.25rem);
          }
        }
        &::after {
          content: url('data:image/svg+xml;utf8,<svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.0091 7.53709L10.4273 2.95523C10.3038 2.83599 10.1385 2.77002 9.96686 2.77151C9.79524 2.773 9.63107 2.84184 9.50971 2.9632C9.38835 3.08456 9.31952 3.24873 9.31802 3.42035C9.31653 3.59197 9.38251 3.75731 9.50174 3.88076L12.9663 7.3453H1.45533C1.28174 7.3453 1.11525 7.41427 0.992495 7.53702C0.869743 7.65977 0.800781 7.82626 0.800781 7.99986C0.800781 8.17345 0.869743 8.33994 0.992495 8.46269C1.11525 8.58545 1.28174 8.65441 1.45533 8.65441H12.9663L9.50174 12.119C9.43922 12.1793 9.38936 12.2516 9.35505 12.3314C9.32075 12.4113 9.30269 12.4972 9.30194 12.5841C9.30118 12.671 9.31774 12.7572 9.35065 12.8376C9.38357 12.9181 9.43217 12.9911 9.49363 13.0526C9.55508 13.1141 9.62817 13.1627 9.70861 13.1956C9.78905 13.2285 9.87524 13.245 9.96215 13.2443C10.0491 13.2435 10.135 13.2255 10.2148 13.1912C10.2947 13.1569 10.3669 13.107 10.4273 13.0445L15.0091 8.46262C15.1318 8.33988 15.2008 8.17342 15.2008 7.99986C15.2008 7.82629 15.1318 7.65983 15.0091 7.53709Z" fill="%23001D40"/></svg>');
          height: 1.25rem;
          transition: transform 0.3s ease;
        }
      }
    }
    .left {
      padding: 64px;
      display: flex;
      flex-direction: column;
      gap: 32px;
      background-color: #fff;
    }
    .right {
      height: 100%;
      img {
        height: 100%;
        max-height: 30rem;
        object-fit: cover;
      }
    }
  }
  .menu-item-section {
    background: linear-gradient(180deg, rgba(0, 29, 64, 0) 50%, #006df2 100%),
      var(--dark);
    display: grid;
    align-items: center;
    grid-template-columns: repeat(2, 1fr);


    .image img{

      max-height: 100% !important;
    }

    .content {
      padding: 64px;
      display: flex;
      flex-direction: column;
      gap: 32px;
      h6 {
        text-transform: capitalize;
        font-weight: 700;
        font-size: 24px;
      }
      p,
      h6 {
        color: #fff;
      }
      .btn {
        color: #fff !important;
        border-color: #fff;
        transition: all 0.3s ease;

        &::after {
          background-image: url('./../../assets/svg/arrow-white.svg');
        }
        &:hover {
          /* background-color: #fff;
          color: #001d40 !important; */
          background-color: unset;
        }
      }
    }
  }
}
.tickets-sidebar {
  position: fixed;
  height: 100vh;
  width: 27.5rem;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 999;
  padding: 128px 64px 64px;
  display: none;
  background: linear-gradient(
      180deg,
      rgba(0, 29, 64, 0.5) 0%,
      rgba(0, 29, 64, 0.8) 50%,
      rgba(0, 29, 64, 0.5) 100%
    ),
    rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(1rem);
  p {
    color: #fff;
  }
  ul {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
    li {
      a {
        color: #fff;
        font-size: 1.75rem;
        font-weight: 700;
      }
    }
  }


  .sidebar-wrapper {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    height: 100%;
    justify-content: space-between;
  }
  .social-media {
    margin-bottom: 4rem;
    ul {
      display: flex;
      flex-direction: row;
      gap: 1.25rem;
      list-style: none;
    }
    li {
      width: 2.125rem;
    }
  }
  .sidebar-footer {
    p {
      margin-bottom: 0;
    }
  }
}

.nav__top__left__oz p .point.closed {
  background-color: #e71717;
}

.search-popup {
  display: none;

  padding: 2.5rem 0;
  .search-popup-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 16px;
  }
  .searchform {
    flex: 1;
  }
}

.searchform {
  .searchform-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 1.25rem 2rem;
    gap: 0.75rem;
    border: 0.0938rem solid #ffffff;
    border-radius: 0.5rem;
    input {
      height: 1.875rem;
      font-weight: 400;
      line-height: 150%;
      background-color: transparent;
      border: none;
      color: #ffffff;
      font-size: 1.25rem;
      width: 100%;
      outline: none;
      &::placeholder {
        opacity: 1;
      }
    }
  }
}
.nav__top__left {
  flex: 1 1 auto;
  min-width: 0;
}

.nav__top__right {
  flex: 0 0 7.5rem;
  /* max-width: 7.5rem; */
}

.nav__top__left__carousel-container {
  width: auto;
  max-width: 50vw;
}
.nav__top .container-b {
  gap: 15px;
}
.mobile-actions {
  display: none;
  align-items: center;
  gap: 28px;
  .toggle-mobile-menu {
    &.active {
      .icon span {
        &:nth-child(1) {
          transform: rotate(45deg);
        }
        &:nth-child(2) {
          opacity: 0;
        }
        &:nth-child(3) {
          transform: translateY(1px) rotate(-45deg);
        }
      }
    }
    .icon {
      display: flex;
      flex-direction: column;
      span {
        width: 24px;
        height: 2.5px;
        background-color: var(--dark);
        display: block;
        transition: 0.3s ease-in;
        transform-origin: top left;
        border-radius: 2px;
        &:not(:last-child) {
          margin-bottom: 5px;
        }
        &:nth-child(1) {
          transform-origin: top left;
          transform: rotate(0deg);
        }
        &:nth-child(3) {
          transform-origin: bottom left;
          transform: rotate(0deg);
        }
      }
    }
  }
}
.mobile-menu {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  z-index: 99;
  padding: 100px 20px 20px;
  overflow: hidden;
  display: none;
  .mobile-menu__wrapper {
    height: 100%;
    overflow-y: auto;
  }
  .nav-menu {
    > ul {
      > li {
        border-bottom: 1px solid #dee5ed;
        &.menu-item-has-children > a {
          padding: 14px 0;
          font-family: "Archivo";
          text-transform: uppercase;
          font-weight: 700;
          font-size: 18px;
          display: flex;
          justify-content: space-between;
          align-items: center;
          gap: 10px;

          &::after {
            transition: 0.3s ease;
            content: url("data:image/svg+xml,%3Csvg width='18' height='10' viewBox='0 0 18 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M2 1.5L9 8.5L16 1.5' stroke='%23001D40' stroke-width='2.8' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
          }
        }
        &.active > a {
          &::after {
            rotate: 180deg;
          }
        }
      }
    }
    ul.sub-menu {
      display: none;
      a {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 10px;
        transition: all 0.3s ease;
        font-family: "Inter";
        font-weight: 400;
        font-size: 16px;
        padding: 14px 0;
        &::after {
          content: url('data:image/svg+xml;utf8,<svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.0091 7.53709L10.4273 2.95523C10.3038 2.83599 10.1385 2.77002 9.96686 2.77151C9.79524 2.773 9.63107 2.84184 9.50971 2.9632C9.38835 3.08456 9.31952 3.24873 9.31802 3.42035C9.31653 3.59197 9.38251 3.75731 9.50174 3.88076L12.9663 7.3453H1.45533C1.28174 7.3453 1.11525 7.41427 0.992495 7.53702C0.869743 7.65977 0.800781 7.82626 0.800781 7.99986C0.800781 8.17345 0.869743 8.33994 0.992495 8.46269C1.11525 8.58545 1.28174 8.65441 1.45533 8.65441H12.9663L9.50174 12.119C9.43922 12.1793 9.38936 12.2516 9.35505 12.3314C9.32075 12.4113 9.30269 12.4972 9.30194 12.5841C9.30118 12.671 9.31774 12.7572 9.35065 12.8376C9.38357 12.9181 9.43217 12.9911 9.49363 13.0526C9.55508 13.1141 9.62817 13.1627 9.70861 13.1956C9.78905 13.2285 9.87524 13.245 9.96215 13.2443C10.0491 13.2435 10.135 13.2255 10.2148 13.1912C10.2947 13.1569 10.3669 13.107 10.4273 13.0445L15.0091 8.46262C15.1318 8.33988 15.2008 8.17342 15.2008 7.99986C15.2008 7.82629 15.1318 7.65983 15.0091 7.53709Z" fill="%23001D40"/></svg>');
          height: 1.25rem;
        }
      }
    }
  }
}

@media screen and (min-width: 1400px) {
  .header {
    .nav {
      position: absolute;
    }
    .logo-dark {
      display: none;
    }
    &.sticky ,&:has(.mega-menu .current-menu-parent.menu-item-has-children.active){
      .logo-dark {
        display: block;
        max-width: 7.1875rem;
      }
      .logo-light {
        display: none;
      }
      .nav__bottom {
        width: 100%;
        background-color: #fff;
        position: fixed;
        top: 0;
        padding: 20px 0;
        box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
        .nav__bottom__left {
          flex: 1;
        }
        a {
          color: var(--dark);
        }
        .open-tickets-sidebar {
          background-color: var(--dark);
          color: #fff;
          svg path {
            fill: #fff;
          }
        }
      }
      .mega-menu {
        > ul {
          > li {
            &.menu-item-has-children > a {
              cursor: pointer;
              display: flex;
              align-items: center;
              gap: 0.5rem;
              transition: all 0.3s ease;
              &::after {
                content: url("data:image/svg+xml,%3Csvg width='13' height='8' viewBox='0 0 13 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.75195 1.5L6.75195 6.5L11.752 1.5' stroke='%23001D40' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
              }
            }
          }
        }
      }
    }
  }

  .header:has(.search-popup.opened) .nav {
    background: linear-gradient(
      180deg,
      rgba(0, 29, 64, 0.5) 0%,
      rgba(0, 29, 64, 0.8) 50%,
      rgba(0, 29, 64, 0.5) 100%
    );
    backdrop-filter: blur(0.75rem);
  }
}
@media screen and (max-width: 1400px) {
  .search-popup {
    background: linear-gradient(
      180deg,
      rgba(0, 29, 64, 0.5) 0%,
      rgba(0, 29, 64, 0.8) 50%,
      rgba(0, 29, 64, 0.5) 100%
    );
    backdrop-filter: blur(0.75rem);
    padding: 1rem 0;
    .searchform-wrapper {
      padding: 1rem;
    }
    .close {
      svg {
        width: 34px;
      }
    }
  }
  .nav__top {
    display: none;
  }
  .nav {
    position: fixed !important;
    box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
    z-index: 100;
  }
  .nav__bottom {
    width: 100%;
    background-color: #fff;
    padding: 20px 0;
    z-index: 100;
    .logo-dark {
      display: block;
      max-width: 82px;
    }
    .logo-light,
    .mega-menu,
    .open-tickets-sidebar {
      display: none;
    }
    .nav__bottom__left {
      flex: 1;
    }
    a {
      color: var(--dark);
    }
    .mobile-actions {
      display: inline-flex;
    }
  }
}

.footer_nav .menu {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 2rem 4rem;
  > li {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    > a {
      color: #001d40;
      margin-bottom: 0.5rem;
      font-family: "Archivo", sans-serif;
      font-weight: 700;
      font-size: clamp(1rem, 1.5vw, 1.25rem);
      line-height: 1.2;
      font-stretch: 100%;
      letter-spacing: -0.01em;
    }
  }
}

@media (max-width: 1400px) {
  .footer_nav .menu {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 992px) {
  .footer_nav .menu {
    grid-template-columns: repeat(2, 1fr);
    gap: 0 2rem;
    .menu-item-has-children {
      border-bottom: 1px solid #DEE5ED;
      padding: 18px 0 ;
      > a{
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 0.5rem;
        transition: all 0.3s ease;
        margin-bottom: 0;
        &::after {
          content: url('data:image/svg+xml;utf8,<svg width="13" height="8" viewBox="0 0 13 8" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1.75195 1.5L6.75195 6.5L11.752 1.5" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
        }
      }
      .sub-menu{
        margin-top: 8px;
        display: none;

        li {

          a {

            font-size: 16px;
          }
        }
      }
    }
  }
  .footer__bottom{
    margin-top: 3.125rem;
  }
}

@media (max-width: 767px) {
  .footer_nav .menu {
    grid-template-columns: repeat(1, 1fr);
  }
}

.tickets-sidebar .social-media img {
  width: 34px;
  filter: brightness(0) invert(1);
}

:where(nav li)::before {
  content: "​";
  float: left;
  display: none;
}

.stadium-section {
  .stadium-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 50px;
    @media screen and (max-width: 768px) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
  svg {
    max-width: 100%;
  }

  svg .active .area path {
    fill: #66abff;
  }
  svg .active .oberrang-label path,
  svg .active .oberrang-area path,
  svg .active .area path {
    fill: #66abff;
    stroke: #66abff;
  }

  svg .active .label path {
    fill: #fff;
  }

  .block-item {
    opacity: 0.5;
    &:has(.active) {
      opacity: 1;
    }
  }

  .accordion-item {
    margin-bottom: 20px;
  }

  .accordion-header {
    padding: 15px 20px;
    cursor: pointer;
    font-weight: bold;
    position: relative;
    background-color: #001733;
    box-shadow: 0px 0px 16px rgba(0, 109, 242, 0.7);
    color: #fff;
    border-radius: 8px;
  }

  .accordion-header::after {
    content: "+";
    position: absolute;
    right: 20px;
    transition: transform 0.3s;
  }

  .accordion-header.active::after {
    content: "−";
  }

  .accordion-content {
    display: none;
    padding: 15px 20px;
  }

  .block-grid {
    display: grid;
    gap: 10px;
    &.col-5 {
      grid-template-columns: repeat(5, 1fr);
    }
    &.col-4 {
      grid-template-columns: repeat(4, 1fr);
    }
    &.col-3 {
      grid-template-columns: repeat(3, 1fr);
    }
  }

  .block-btn {
    text-align: center;
    color: #fff;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.3s;
    background: #001733;
    border: 1.5px solid #00316c;
    border-radius: 8px;
    padding: 8px 16px;
    height: 43px;
    min-height: 40px;
    &.active {
      background-color: #66abff;
      color: #001d40;
    }
  }

  .block-btn:hover {
    background: #0a4c8c;
  }
}